EDIT - feature request #7597

Aggregate and persist descriptions on taxon level
07/27/2018 03:26 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal

Description

as decided in the last meeting the taxon level aggregation will be based on the "raw" specimen descriptions. So even for higher taxa
the aggregation does not use already aggregated taxon descriptions but the specimen descriptions belonging to the taxon and all its

child taxa.

Related issues:

Related to EDIT - feature request #7509: Aggregate and persist specimen chara... Closed

Precedes EDIT - feature request #8467: Save a "snapshot" of the SpecimenDescr... Closed

Associated revisions

Revision 94264387 - 07/27/2018 04:09 PM - Patrick Plitzner
ref #7597 Adapt to refactored service method

Revision 1171c95a - 07/27/2018 04:09 PM - Patrick Plitzner
ref #7597 Refactor aggregation method

Revision 22a0c¢719 - 07/30/2018 09:05 AM - Patrick Plitzner

ref #7597 Refactor aggregation method + add taxon aggregation method

Revision e0e9bffb - 07/30/2018 09:07 AM - Patrick Plitzner

ref #7597 Add taxon description aggregation context menu entry

Revision e1dd683a - 08/03/2018 01:54 PM - Patrick Plitzner
ref #7597 Disable aggregate menu item

Revision 7¢29¢9d5 - 08/06/2018 01:50 PM - Patrick Plitzner

ref #7597 Make taxon aggregation experimental

Revision 6328ed42 - 08/07/2018 04:00 PM - Patrick Plitzner

ref #7597 Use remote progress monitor for taxon aggregation

Revision 785b88aa - 08/07/2018 04:52 PM - Patrick Plitzner
ref #7597 Adapt to service method changes

Revision d1238e5b - 08/07/2018 04:52 PM - Patrick Plitzner

ref #7597 Implement taxon description aggregation

Revision 1210623a - 08/07/2018 04:52 PM - Patrick Plitzner

ref #7597 Set taxon as cdm entity of update result

Revision a40b31c1 - 08/07/2018 04:52 PM - Patrick Plitzner

ref #7597 Extend compare wrapper to support all statistical measures
Revision bd95f27d - 08/07/2018 04:52 PM - Patrick Plitzner
ref #7597 Fix multi rep exception

Revision 3b3f3609 - 08/07/2018 04:52 PM - Patrick Plitzner

ref #7597 Use remote progress monitor for taxon aggregation

Revision 02d5b1b7 - 08/07/2018 04:52 PM - Patrick Plitzner

ref #7597 Fix potential exception for multiple associated taxa

Revision dc45cce3 - 08/07/2018 06:03 PM - Patrick Plitzner

ref #7597 Fix row wrapper creation for direct description children

Revision 0ceb2225 - 08/07/2018 06:40 PM - Patrick Plitzner
ref #7597 Change label of aggregated taxon description

Revision 0f14b608 - 08/08/2018 01:42 PM - Patrick Plitzner

ref #7597 Use LongRunningTaskService for taxon aggregation

Revision 2d49766c¢ - 08/08/2018 01:43 PM - Patrick Plitzner

ref #7597 Use LongRunningTaskService for taxon aggregation

Revision 78aa2ad6 - 08/01/2019 10:01 AM - Patrick Plitzner

ref #7597 Aggregation for each taxon based on associated specimens

Revision ed6ai6ee - 08/01/2019 10:02 AM - Patrick Plitzner

ref #7597 Remove taxon tree aggregation command and handler

Revision 225e3aa7 - 08/01/2019 10:03 AM - Patrick Plitzner
ref #7597 Adapt to service changes

Revision b2205142 - 08/01/2019 12:18 PM - Patrick Plitzner

ref #7597 Adapt to service changes and rename long running method

Revision e7eee67d - 08/06/2019 12:34 PM - Patrick Plitzner

ref #7597 Add progress monitor to aggregation service call

Revision 16bef6ee - 08/06/2019 12:35 PM - Patrick Plitzner
ref #7597 Invoke aggregation in parallel thread
® add progress monitor

Revision 528e8632 - 08/07/2019 02:14 PM - Patrick Plitzner

ref #7597 Fix potential class cast exception

Revision deadOaaf - 08/08/2019 03:24 PM - Patrick Plitzner
ref #7597 Add configuration to data set aggregation

e implement recursive aggregation

Revision 63ada120 - 08/08/2019 03:24 PM - Patrick Plitzner

ref #7597 Use aggregation config (recurse aggregation = true)

Revision 51¢30254 - 08/12/2019 03:43 PM - Patrick Plitzner
ref #7597 Delete all aggregated descriptions when re-aggregating

Revision 644cd491 - 08/12/2019 06:20 PM - Patrick Plitzner

ref #7597 Temporarily disable refresh after aggregation
Revision a083a070 - 08/12/2019 06:20 PM - Patrick Plitzner

ref #7597 Fix concurrent modification exception

Revision 8efb1fe4 - 08/13/2019 09:12 AM - Patrick Plitzner
ref #7597 Use UUID for service call

Revision 845c6b16 - 08/13/2019 09:13 AM - Patrick Plitzner
ref #7597 Fix deletion of aggregated descriptions

Revision 0339827e - 08/13/2019 09:14 AM - Patrick Plitzner

ref #7597 Clear matrix descriptions before loading them

Revision 53627082 - 08/13/2019 09:17 AM - Patrick Plitzner

ref #7597 Re-load dataset descriptions after aggregation

e adapt to service layer change (use UUID as parameter)

History

#1 - 07/27/2018 03:27 PM - Patrick Plitzner

- Related to feature request #7509: Aggregate and persist specimen character data from character matrix added

#2 - 08/01/2019 09:12 AM - Patrick Plitzner
- Tracker changed from bug to feature request
- Description updated

- Target version changed from Unassigned CDM tickets to Release 5.9

#3 - 08/15/2019 04:09 PM - Patrick Plitzner
- Status changed from New to Closed

- % Done changed from 0 to 100

Closing this feature. No review needed as this is still experimental. Follow up ticket #8467

#4 - 08/15/2019 04:10 PM - Patrick Plitzner

- Related to feature request #8467: Save a "snapshot" of the SpecimenDescriptions used for aggregation added

#5 - 08/15/2019 04:10 PM - Patrick Plitzner

- Related to deleted (feature request #8467: Save a "snapshot" of the SpecimenDescriptions used for aggregation)

#6 - 08/15/2019 04:10 PM - Patrick Plitzner

- Precedes feature request #8467: Save a "snapshot" of the SpecimenDescriptions used for aggregation added
https://dev.e-taxonomy.eu/redmine/issues/8467
http://www.tcpdf.org

